Subject: Linux-Misc Digest #945
From: Digestifier <[email-masked]>
To: [email-masked]
Date: Sat, 15 Oct 94 19:13:19 EDT

Linux-Misc Digest #945, Volume #2                Sat, 15 Oct 94 19:13:19 EDT

Contents:
  Is there time out setting for DIP??? (Brian Kwan)
  Re: Xwindow when telnetting from dos (Brian Kwan)
  Re: ?????? how many space do I need ?????? (Brenta)
  Re: Is linux a multithreaded operating system? (David Wright)
  Re: 540 MB drive problems, anyone? (Goran Devic)
  Re: Word (Text) processors for Linux? (David Wright)
  anybody can send me..? (Pal Laszlo)
  How to compile mush under Linux (Carlos Dominguez)
  Re: getting linux to work dail-up (Carlos Irigaray)
  Re: Copyright Violations Plague the Net (Binesh Bannerjee)
  Re: WARNING: Xfree-3.1 XF86_Mach32 may damage non-green monitors! (Daniel Quinlan)
  Re: Copyright Violations Plague the Net (Binesh Bannerjee)
  Re: getty/uugetty problems in slackware (BUG REPORT) (Patrick J. Volkerding)
  Re: Mystery Chip...AMD (Michael Berthold)
  Re: Mystery Chip...AMD (Michael Berthold)

----------------------------------------------------------------------------

From: [email-masked] (Brian Kwan)
Subject: Is there time out setting for DIP???
Date: 15 Oct 1994 01:09:25 GMT

THANKS

Brian
=====
[email-masked]

------------------------------

From: [email-masked] (Brian Kwan)
Subject: Re: Xwindow when telnetting from dos
Date: 15 Oct 1994 01:20:30 GMT

If you want to run X applications in window, you can try out xwin. It is located:

        src.doc.ic.ac.uk
        /computing/systems/ibmpc/windows3/demo/xwindemo.zip

It is a fully functionaly demo and it works well!!

good luck!

Brian
=====
[email-masked]

------------------------------

From: [email-masked] (Brenta)
Subject: Re: ?????? how many space do I need ??????
Date: 14 Oct 1994 09:50:38 GMT

        Well, I have about the same setup as what you want. On my 110 Mb
drive, I have 5 partitions :

Boot Manager    Main, bootable           1 Mb
DOS             Main                    13 Mb
OS/2            Extended                35 Mb
Linux           Extended                50 Mb
Linux Swap      Extended                10 Mb

        You'll want more disk space in your Linux partition if you run X,
say 80 Mb. I for one have a 50 Mb partition, 35 Mb of which are used by
Linux, man pages, info pages and development system. I don't use X (yet).
At the moment, the 10 Mb swap partition is oversized, even when I compile
programs that I wrote; but I would recommend keeping at least 10 Mb swap
to use X (especially since I have only 4 Mb RAM).
        The OS/2 swap file is on the other hard drive (210 Mb). It runs
much faster than if it were on the OS/2 partition on the first hard drive.

        Hope this helps.

                                                        Ludovic.

------------------------------

From: [email-masked] (David Wright)
Subject: Re: Is linux a multithreaded operating system?
Date: Fri, 14 Oct 1994 17:01:12 GMT

>>>>> "JK" == Jeff Kesselman <[email-masked]> writes:

  JK> also sometimes called 'light-weight multi-tasking'.  UNIX (and Linux)
  JK> don't inhearently preclude this, but implementation of it is up to the
  JK> makers of a light-weight tasking library (such as the berkley light-weight
  JK> multi-tasking library) or teh compiler system in cases where light-weight
  JK> multi-tasking is built directly into the compiler system (as in Modula2). 

        Maybe the original poster was asking if the Linux *kernel* was
multi-threaded, which it is not. Maybe they had heard of MACH and wondered
if Linux was based on that.

                                                Dave
--
  ____________________________________________________________________________
 |        /\ /          | Prism Computer Applications        |  David Wright  |
 |      -/--\--         | 14650 Detroit Ave, Suite LL40      | [email-masked] |
 |      /____\          | Lakewood, OH 44107  USA            |  216-228-1400  |

------------------------------

From: [email-masked] (Goran Devic)
Subject: Re: 540 MB drive problems, anyone?
Date: 15 Oct 1994 10:35:21 -0500

Marc Fraioli ([email-masked]) wrote:
: In article [email-masked],  [email-masked] (Bill West) writes:
: >Joseph W. Vigneau ([email-masked]) wrote:
: >: I'm about to purchase a P54c system from Dell, and it is being shipped with
: >: a 540 Meg drive..  I've heard that Linux had trouble with 540 IDE drives. 
: >: I'd like to devote this disk entirely to Linux (no need for DOS/Win :)
: >: Any info?
: >
: >I have no problems with mine, 540meg SCSI with aha1522 
: >
: Well, he asked about IDE not SCSI.  I have a Western Digital Caviar 540MB
: IDE drive, and it runs under Linux just fine.

I have IBM 540 MB HDD and it has 1062 cylinders, I think, by the
manual. Since Yyigdrassil (sp?) didnt work with so many cyl., I set up
1024 of them in the BIOS.  In meantime, I installed Slackware version
1.0.9 from the sunsite and it works perfectly.  I have a 150 MB DOS
partition, 360 MB Linux and 16MB swap. Well, I guess I lost a meg or
so, but it is worth it :-)

Goran

: ---
: Marc Fraioli        | "They couldn't hit an elephant at this dist- " 
: [email-masked]         |    - Last words of Union General John Sedgwick,
:                     |    Battle of Spotsylvania Court House, U.S. Civil War

-- 
          o"o
+----oOO--=U=--OOo------+                                     
|  [email-masked]  |
+-----------------------+ Smash your forehead on any key to continue...

------------------------------

Crossposted-To: comp.unix.questions
From: [email-masked] (David Wright)
Subject: Re: Word (Text) processors for Linux?
Date: Fri, 14 Oct 1994 17:10:52 GMT

>>>>> "AW" == Alexander Williams <[email-masked]> writes:

  AW> It should be /far/ easier to create a system that backends onto TeX or
  AW> groff, depending on  one's tastes (and  which can /read/ those formats
  AW> as well,  that's important in  an environ  that  passes them around in
  AW> themselves),  and which can use the  tools of  power already extant to
  AW> build  on.  Creating  something   from scratch seems  to  /me/   to be
  AW> rebuilding the wheel rather than simply making it look snazzy.

        Wasn't there a package included with the Slackware distribution
that claimed to be an editor that saved it's files in TeX format? I don't
do any real text editing on my Linux box, and for the program editing I do
I just use VI (hey, at least at work I live in Emacs), so I never tried it.
I seem to remember it was on the same series as "idraw".

        That might be a good place to start working from.

                                                        Dave
--
  ____________________________________________________________________________
 |        /\ /          | Prism Computer Applications        |  David Wright  |
 |      -/--\--         | 14650 Detroit Ave, Suite LL40      | [email-masked] |
 |      /____\          | Lakewood, OH 44107  USA            |  216-228-1400  |

------------------------------

From: [email-masked] (Pal Laszlo)
Subject: anybody can send me..?
Date: 14 Oct 1994 07:53:53 +0100

hey man!
anybody can send me a working xconfig for cirrus 5426? 

thank you
laszlo pal
'the smallest'
[email-masked]

------------------------------

From: [email-masked] (Carlos Dominguez)
Subject: How to compile mush under Linux
Date: 10 Oct 1994 13:38:03 -0400

Hi!

I grabbed the source diffs for mush 7.25 from sunsite and then got
a mush 7.25 source package from ogi.edu (??)

Needless to say, the diffs all don't work, and it wont compile.

Which source package was the diffs on sunsite meant to be applied to?
-- 
  __  __   __ | .__.  __. ::::  Carlos Dominguez - proprietor - sysadmin  
 |    __| |   | |  | |__  ::::  [email-masked]
 |__ |__| |   | |__| .__| ::::  Basselope *nix systems
  ---------------------------   Internet services consulting is our forte

------------------------------

From: [email-masked] (Carlos Irigaray)
Crossposted-To: alt.os.linux,comp.os.linux.help
Subject: Re: getting linux to work dail-up
Date: 13 Oct 1994 20:49:07 -0400

Donald Becker ([email-masked]) wrote:
: In article <[email-masked]>,
: Hugh Emberson <[email-masked]> wrote:
: >>>>>> "Carlos" == Carlos Irigaray <[email-masked]> writes:
: >
: >Carlos> ttyS2 stands for com3 (under DOS) and is for incoming calls
: >Carlos> (difference between cua2 and ttyS2)
: >
: >This is becoming a urban legend :-) I used to believe this and it
: >caused lots of trouble.  You can and should use ttyS? for dialin and
: >dialout.  From the mgetty+sendfax docs (by Gert Doering):

: You can use ttyS? for both dialin and dialout, but that doesn't mean you
: *should*.

: >       We use `/dev/ttyS*' all the time for dial-in *and* for
: >    dial-out, and believe me, it works, and it's the *only*
: >    combination that will work properly. The kernel locking mechanism

: Using /dev/cua? for dialout and leaving a 'getty' on /dev/ttyS? works well
: for me.

Now, my turn after some silent days....... 

Using /dev/ttyS? for dial-in and /dev/cua? for dial-out works great for me 
too.

What is /dev/cua? doing? What is it for?

I've read that implementing /dev/ttyS? for dial-out and /dev/cua? for 
dial-in was a solution to a (obviously) "problem" since the kernel 1.0.*.

Carlos.

------------------------------

From: [email-masked] (Binesh Bannerjee)
Crossposted-To: rec.arts.startrek.misc,misc.legal,alt.binaries.pictures.erotica.d,gnu.misc.discuss
Subject: Re: Copyright Violations Plague the Net
Date: 15 Oct 1994 17:49:31 -0400

Gina Goff ([email-masked]) wrote:
: Suppose you were a software consultant.  You put together a really nifty
: package for company A.  In fact, it's so popular with them that you decide
: to market it.  Unfortunately, company A has decided to sell it, too; why
: shouldn't everyone be able to just use your effort?  How would you feel
: then?

Incredible how you just described someone in real life...
Let me quote from an interview...

> BYTE: A cynic might wonder how you earn your living.
> 
> Stallman: From consulting.  When I do consulting, I always reserve the right
> to give away what I wrote for the consulting job.  Also, I could be making
> my living by mailing copies of the free software that I wrote and some that
> other people wrote.  Lots of people send in $150 for GNU EMACS, but now this
> money goes to the Free Software Foundation that I started.  The foundation
> doesn't pay me a salary because it would be a conflict of interest.
> Instead, it hires other people to work on GNU.  As long as I can go on
> making a living by consulting I think that's the best way.

Let's see.. Richard Stallman puts together GCC, it's very popular
(I'll attest to that...) And, it's free even... By the way, EMACS
is also, free in case you didn't know... 150 is just a contribution
you could make or not... And, everyone gets to use GCC and EMACS
and everyone's happy! Doesn't seem like such a hellish experience...

Oh, I better include this as well...

> Editorial Note: BYTE holds the right to provide this interview on BIX but
> will not interfere with its distribution.
> 
> Richard Stallman, 545 Technology Square, Room 703, Cambridge, MA 02139.
> Copyright (C) 1986 Richard Stallman.  Permission is granted to make and
> distribute copies of this article as long as the copyright and this notice
> appear on all copies.

: Gina
-- 
* Will sit by a pool and relax and have fun for money. *
Hey... it's going to work someday...

------------------------------

From: [email-masked] (Daniel Quinlan)
Subject: Re: WARNING: Xfree-3.1 XF86_Mach32 may damage non-green monitors!
Date: 10 Oct 1994 16:30:05 GMT
Reply-To: [email-masked]

Andreas Koppenhoefer <[email-masked]> writes:

> While running 'startx -- /usr/X11R6/bin/XF86_Mach32 :0 -bpp 16' and
> about 10 minutes of inactivity the screensaver blanked out my
> screen. And surprisingly my monitor went into powersaving mode.
> That's exactly what I want to get.
>
> But... I've never enabled any powersaving option!

Linux automatically blanks the screen.  Your monitor evidently picks
up on this and goes into powersaving mode.

`setterm -blank 15' will set your monitor for a 15 minute period
instead of a 10 minute one.

> While running 'startx -- /usr/X11R6/bin/XF86_Mach32 :0 -bpp16'
> (which is a 8-bit server -bpp 8) my monitor doesn't switch to
> powersaving mode while screensaver is active!? Why not?

Who knows?

> And here's the problem: What if my monitor wouldn't like powersaving
> signals? I suppose *NON-GREEN*MONITORS*MAY*GET*DAMAGED* by this
> behavior!

You're being silly. now.  Please read the manual page for `setterm'.

However, it might be considered odd that your monitor goes into
powersaving mode for 16 bit and not 8 bit modes.

Please don't post a hysterical warning unless you're sure.  Better
yet, never post a hysterical warning -- it is is true, people can get
hysterical without too much help.

Dan
-- 
Daniel Quinlan  <[email-masked]>

------------------------------

From: [email-masked] (Binesh Bannerjee)
Crossposted-To: rec.arts.startrek.misc,misc.legal,gnu.misc.discuss
Subject: Re: Copyright Violations Plague the Net
Date: 15 Oct 1994 18:08:34 -0400

Gina Goff ([email-masked]) wrote:
: I'm saying that you can make "incremental" gosh-we're-not-really-hurting-
: anyone arguments until the cows come home, and Paramount's legal department
: will not be in the least convinced.  Each copy of the script is one less
: that might be sold (some folks who would have bought the final version may
: decide not to, after reading an ASCII dump of the first draft).

I like the way you keep referring me to the Paramount legal department,
and how you just accept whatever they say as gospel. You keep saying
there IS an incremental damage associated with EACH copy, but you don't
even know what it is. Just because Paramount doesn't want the script to
be further redistributed, doesn't mean that they're losing money off the
extra distribution, it could just mean they're embarassed. And, I have
no intention of calling Paramount's legal department, because I'm
not a lawyer, and I would have no clue as to how to proceed with them.
So, since, you're the legal expert here, why not call them up yourself
and post a summary here? Or, maybe you just take it on blind faith that
since the "Paramount Legal Department"  <ta da! Insert theme music!>
proclaims that further redistribution is Wrong, then it must be so.
Well, that's fine for your faith, but I don't share that faith, and
I have no intention of talking to a bunch of lawyers, and hearing the
lawyer-speak.. NO, I am NOT putting down lawyers, but it would be like
me with a group of surgeons, and I'm a programmer. I wouldn't get what
they're talking about. Again, being the apparent legal expert here,
why don't you call them up, and post a summary? I promise you, if you
tell me the incremental damage, I will never redistribute the script
ever again, and I will delete all copies, I may have.

And, you'll notice that none of my arguments had anything to do
with the legality or illegality of anything...

:  
: :: >And, if you dispute point B, I'd like to hear how much extra money
: :: >Paramount loses per each extra copy.
: ::
: :: I've no idea.  Why don't you call their legal department and ask?  I'm
: :: sure they'd be glad to talk to you.
: :
: :Because, I don't think that they lose any money, and I'm quite satisfied
: :with my reasoning. But, you assume there is a incremental loss, when
: :as you yourself say that you have no idea what that loss would be.
:  
: I meant that I don't know the amount of the loss.  If you're so convinced
: of your reasoning, Binesh, then please do call Paramount and ask to speak
: to someone in the Legal Department.  Perhaps you can convince them that
: they're wrong, and they'll stop objecting to the script's circulation and
: we can all move on to something else.
:  

Ditto at the top.

Thanks for deleting the POINT of this second argument.
The broadcast that I mentioned was one where someone
STOLE a copy of a soon to be released movie, took over
a TV station and aired the movie in it's entirety...
And,  ...
: :and this broadcast came over the air. Then, again it's MY tape
: :so, I should be able to make copies of it, so if I make a copy and
: :give it to a friend, well, it's MY tape, and I should be able to do so.
: :Or are you saying that the cops should break into everyone's house
: :and order everyone to blank out any tapes they made?
:  
: Taping a broadcast for your personal use is legal.  Photocopying a script
: is not; I believe it has something to do with broadcasting things being a
: quasi-public domain issue.  I'm sure a misc.legal type could clarify.

You believe so? It's incredible all the things you take on blind faith...
And, I'm not discussing whether or not it is illegal, so much as whether
it should be or not, and whether IF it should be,  how such a law would
be enforced... Someone just posted the entire script on r.a.s.misc
yet AGAIN through an anonymous remailer... (NO IT WAS NOT ME...)

Anyway, I never photocopied the script...

:  
: Gina
-- 
* Will sit by a pool and relax and have fun for money. *
Hey... it's going to work someday...

------------------------------

From: [email-masked] (Patrick J. Volkerding)
Subject: Re: getty/uugetty problems in slackware (BUG REPORT)
Date: 15 Oct 1994 15:53:49 GMT

In article <[email-masked]>, Joe Rhett <[email-masked]> wrote:
>A _LOT_ of people who get Slackware complain about not getting 
>the getty_ps package to work correctly. I fought it round and round,
>until I got the source code, and found these things...
> [...]
>ALL the documentation (getty man page, the howtos, etc) that come with
>Slackware tell you that the configuration files go in /etc/default.
>That is true, _IF_ compiled that way. It's _NOT_. It is compiled to look
>in /etc/conf.(device)

This was fixed on August 18th.  If you're going to post a BUG REPORT, you 
might want to check to make sure the current version hasn't fixed it already.

Later -

Pat

------------------------------

From: [email-masked] (Michael Berthold)
Crossposted-To: comp.sys.ibm.pc.hardware.systems,comp.os.linux.admin
Subject: Re: Mystery Chip...AMD
Date: 14 Oct 1994 10:39:45 GMT
Reply-To: [email-masked]

In article <[email-masked]>, [email-masked] (Gregory Urban) writes:
|> In article <[email-masked]>,
|> Marten Liebster <[email-masked]> wrote:
|> >So when is AMD comming out with a 486dx4-120? :-)  
|> >Marten
|> NO, NO, NO !!!!!!!!!!
|> 
|> Only Intel uses STUPID names for their chips.  AMD will produce a DX3/120
|> (clock tripled, 40mhz external, 120mhz internal).
|>
|> Greg Urban          | "I can stand brute force, but brute reason is quite 

You should know the facts before posting "stupid" flames. The "4" has
nothing to do with the clock-tripling but with the performace compared
to a normal 486.
And you should have said: AMD will "copy" another chip from Intel. :-)

just my $0.02, Michael

------------------------------

From: [email-masked] (Michael Berthold)
Crossposted-To: comp.sys.ibm.pc.hardware.systems,comp.os.linux.admin
Subject: Re: Mystery Chip...AMD
Date: 14 Oct 1994 10:44:17 GMT
Reply-To: [email-masked]

In article <[email-masked]>, [email-masked] (Daniel Zappala) writes:
|> 
|> In article <[email-masked]>, [email-masked] (John Palaima) writes:
|> > 
|> > Hah.  Apparently you didn't hear that the Am486 DX/2 66 could be safely
|> > over-clocked to run at 80Mhz.  All the DX2-80 is is a relabeled DX2-66.
|> > That's why it's not much more expensive.  It's the same chip.  Anyone wanna
|> > take bets that new 66Mhz chips will be "crippled" so they can't be over-
|> > clocked? :)  
|> > --
I have doubts.
|> 
|> But a DX2-80 can't be just a relabeled, overclocked DX2-66.  It's bus speed has
|> to be 40 Mhz.
|> 
|> Daniel

Yes, since there are tolerances in the production of chips they can actually
test if the chip runs with 40MHz internally. If they want to sell it as a
Dx/2 80, they are going to check that it runs with at least 90Mhz or so, which
means if you overclock an DX2/66 it might run with 80 (it almost always will),
but it doesn't have to, and your range of tolerance is pretty small.

- Michael

------------------------------

** FOR YOUR REFERENCE **

The service address, to which questions about the list itself and requests
to be added to or deleted from it should be directed, is:

    Internet: [email-masked]

You can send mail to the entire list (and comp.os.linux.misc) via:

    Internet: [email-masked]

Linux may be obtained via one of these FTP sites:
    nic.funet.fi				pub/OS/Linux
    tsx-11.mit.edu				pub/linux
    sunsite.unc.edu				pub/Linux

End of Linux-Misc Digest
******************************